CRAN Package Check Results for Package smartR

Last updated on 2021-10-24 16:54:18 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.62.3 64.80 457.53 522.33 NOTE
r-devel-linux-x86_64-debian-gcc 0.62.3 54.22 334.31 388.53 NOTE
r-devel-linux-x86_64-fedora-clang 0.62.3 635.05 WARN
r-devel-linux-x86_64-fedora-gcc 0.62.3 619.68 NOTE
r-devel-windows-x86_64 0.62.3 98.00 500.00 598.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.62.3 ERROR
r-patched-linux-x86_64 0.62.3 68.26 434.41 502.67 NOTE
r-patched-solaris-x86 0.62.3 877.80 NOTE
r-release-linux-x86_64 0.62.3 60.82 428.01 488.83 NOTE
r-release-macos-arm64 0.62.3 ERROR
r-release-macos-x86_64 0.62.3 NOTE
r-release-windows-ix86+x86_64 0.62.3 96.00 437.00 533.00 NOTE
r-oldrel-macos-x86_64 0.62.3 NOTE
r-oldrel-windows-ix86+x86_64 0.62.3 104.00 355.00 459.00 NOTE

Check Details

Version: 0.62.3
Check: LazyData
Result: NOTE
     'LazyData' is specified without a 'data' directory
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64, r-patched-linux-x86_64, r-patched-solaris-x86, r-release-linux-x86_64, r-release-macos-x86_64, r-release-windows-ix86+x86_64

Version: 0.62.3
Check: package dependencies
Result: WARN
    Imports includes 35 non-default packages.
    Importing from so many packages makes the package vulnerable to any of
    them becoming unavailable. Move as many as possible to Suggests and
    use conditionally.
    
    Requires (indirectly) orphaned package: ‘RGtk2’
Flavor: r-devel-linux-x86_64-fedora-clang

Version: 0.62.3
Check: installed package size
Result: NOTE
     installed size is 5.4Mb
     sub-directories of 1Mb or more:
     doc 2.6Mb
     extdata 1.3Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-x86_64, r-patched-solaris-x86, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.62.3
Check: package dependencies
Result: ERROR
    Package required but not available: 'gWidgets2RGtk2'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavors: r-devel-windows-x86_64-gcc10-UCRT, r-release-macos-arm64